View Issue Details

IDProjectCategoryView StatusLast Update
0019284mantisbtcsvpublic2016-10-02 18:41
ReporterlaimsidAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.19 
Target Version1.3.2Fixed in Version1.3.2 
Summary0019284: Export of the "bugnotes_count" column doesn't work
Description

Hi,

The field "bugnotes_count" is correctly displayed on the View Issues page but when I want to export it into a csv or excel file it doesn't appear.
Is there a way to do this?

The column it is saved in the "Manage columns" menu.

Thank you

TagsNo tags attached.

Activities

laimsid

laimsid

2015-01-27 11:05

reporter  

bugnotes count_1.jpg (83,316 bytes)
bugnotes count_1.jpg (83,316 bytes)
laimsid

laimsid

2015-01-27 11:06

reporter  

bugnotes count_2.jpg (85,321 bytes)
bugnotes count_2.jpg (85,321 bytes)
laimsid

laimsid

2015-01-29 11:06

reporter   ~0048733

I also changed in the Configuration Report section the csv_columns and excel_columns configurations but still the field bugnotes_count can't be exported.

array (
0 => 'id',
1 => 'project_id',
2 => 'reporter_id',
3 => 'handler_id',
4 => 'status',
5 => 'resolution',
6 => 'bugnotes_count',
7 => 'category_id',
8 => 'date_submitted',
9 => 'last_updated',
10 => 'summary',
)

atrol

atrol

2015-12-18 09:43

developer   ~0052136

Same for attachment_count https://www.mantisbt.org/forums/viewtopic.php?f=3&t=23517

cproensa

cproensa

2015-12-21 14:59

developer   ~0052158

there is not a strong reason not to:

commit 7634b19064380b7942107c4f821eb78acc893d06
Author: David Hicks <hickseydr@optusnet.com.au>
Date:   Mon Oct 5 20:06:23 2009 +1100

    Fix 0010703: Don't show attachment_count column in CSV output

    It is a little complicated to show the attachment_count column in the
    CSV output at the moment. Therefore we disable this column from being
    usable until such time as someone wants to spend time fixing it up
    properly. By disabling the column, we prevent users from enabling what
    is currently a broken/non-implemented column.

diff --git a/core/helper_api.php b/core/helper_api.php
--- a/core/helper_api.php
+++ b/core/helper_api.php
@@ -377,10 +377,11 @@

        $t_keys_to_remove = array();

        if( $p_columns_target == COLUMNS_TARGET_CSV_PAGE || $p_columns_target == COLUMNS_TARGET_EXCEL_PAGE ) {
                $t_keys_to_remove[] = 'selection';
                $t_keys_to_remove[] = 'edit';
                $t_keys_to_remove[] = 'bugnotes_count';
+               $t_keys_to_remove[] = 'attachment_count';
                $t_keys_to_remove[] = 'overdue';
        }
cproensa

cproensa

2015-12-21 17:40

developer   ~0052159

PR https://github.com/mantisbt/mantisbt/pull/696
partial fix (please read PR notes)

cproensa

cproensa

2016-08-18 19:58

developer   ~0053860

New PR: https://github.com/mantisbt/mantisbt/pull/854

Related Changesets

MantisBT: master-1.3.x 1279ac3a

2015-12-21 15:00:56

cproensa


Committer: dregad Details Diff
Implement columns in csv and excel export

In CSV and Excel export, there were columns that are
not implemented, and were silently removed from user
column selection: bugnotes_count, attachment_count

With this commit they are now implemented

Fixes 0019284
mod - core/csv_api.php Diff File
mod - core/excel_api.php Diff File
mod - core/helper_api.php Diff File

Issue History

Date Modified Username Field Change
2015-01-27 11:05 laimsid New Issue
2015-01-27 11:05 laimsid File Added: bugnotes count_1.jpg
2015-01-27 11:06 laimsid File Added: bugnotes count_2.jpg
2015-01-27 17:01 atrol Project Plugin - Time Tracking => mantisbt
2015-01-27 17:03 atrol Status new => confirmed
2015-01-27 17:03 atrol Category General => csv
2015-01-27 17:03 atrol OS Version 1.2.8 =>
2015-01-27 17:03 atrol Product Version => 1.2.19
2015-01-29 11:06 laimsid Note Added: 0048733
2015-12-18 09:43 atrol Note Added: 0052136
2015-12-21 14:59 cproensa Note Added: 0052158
2015-12-21 17:40 cproensa Note Added: 0052159
2016-08-18 19:58 cproensa Note Added: 0053860
2016-08-18 19:58 cproensa Assigned To => cproensa
2016-08-18 19:58 cproensa Status confirmed => assigned
2016-09-09 03:49 dregad Changeset attached => MantisBT master-1.3.x 1279ac3a
2016-09-09 03:49 dregad Assigned To cproensa => dregad
2016-09-09 03:49 dregad Status assigned => resolved
2016-09-09 03:49 dregad Resolution open => fixed
2016-09-09 03:49 dregad Fixed in Version => 1.3.2
2016-09-09 03:50 dregad Assigned To dregad => cproensa
2016-09-09 03:50 dregad Target Version => 1.3.2
2016-10-02 18:41 vboctor Status resolved => closed